/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");

var ga_comptes = new Arbre("cpta", "listeSoldesComptes.tmpl", "liste_comptes");

/**
 * Initialisation de fentre
 */
function init() {
    try {
	    ga_comptes.initTree(function() {
            document.getElementById("liste_comptes").insertItemAt(0, "[Aucun]", "Aucun");
            document.getElementById("liste_comptes").selectedIndex = 0
            });
    } catch (e) {
    	recup_erreur('erreur dans compta/user/edition/options_soldes_comptes.js#init : '+ e);
    }

}

/**
 * Editer les soldes au format demand
 */
function editerSoldes() {
    try {
	    var sortie = document.getElementById("rgpSorties").selectedItem.value;
        var compte = document.getElementById("liste_comptes").value;

        if (compte == "Aucun")
            document.getElementById("boite_graphique").collapsed = true;
        else {
            if (sortie == 'ecran') {
                var req = new QueryHttp("Compta/Etats/soldeCompte.tmpl");
                req.setParam("Numero_Compte", compte);
                req.setParam("sortie", sortie);
                document.getElementById("boite_graphique").collapsed = false;
                var retour = req.execute();
                document.getElementById("graphe_soldes").setAttribute("src", getDirServeur() + "graph/" + retour.responseXML.documentElement.getAttribute("graphe"));
                
            } else if (sortie == 'pdf') {
                document.getElementById("boite_graphique").collapsed = true;
                var page = "chrome://opensi/content/compta/user/edition/afficher_soldes_comptes.xul?" + cookie();
                page += "&Numero_Compte="+compte;
				window.location = page;
            }
        }
    } catch (e) {
    	recup_erreur('erreur dans compta/user/edition/options_soldes_comptes.js#editerSoldes : '+ e);
    }
}

function retourMenuPrincipal() {
    try {
        window.location = "chrome://opensi/content/compta/user/menu_exercice.xul?"+ cookie();
    } catch (e) {
        recup_erreur('erreur dans compta/user/edition/options_soldes_comptes.js#retourMenuPrincipal : ' + e);
    }
}


function retourMenuEdition() {
    try {
        window.location = "chrome://opensi/content/compta/user/edition/menu_edition.xul?"+ cookie();
   	} catch (e) {
        recup_erreur('erreur dans compta/user/edition/options_soldes_comptes.js#retourMenuEdition : ' + e);
    }
}
